module Banter
  class InstallGenerator < Rails::Generators::Base
    source_root File.expand_path("../templates", __FILE__)
    def copy_config_file
      copy_file "banter.yml", "config/banter.yml"
    end

    def add_config_parameters
      application "config.banter.default_queue_ttl = 1.hour"
      application "config.banter.logger = Rails.logger"
    end
  end
end