module Banter
  module Notifier
    def self.notify(error, params_hash)
      ::Banter::Configuration.notifier.notify(error, params_hash)
    end

    class StdOutNotifier
      def self.notify(error, params_hash)
        STDOUT.puts("Error caught: #{error}, #{params_hash}")
      end
    end
  end
end

# Is this legit to just load up and assign as default for now?
::Banter::Configuration.notifier ||= Banter::Notifier::StdOutNotifier
